[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.Clear

Clears the Items for the list view.

## Declaration

Source position: comctrls.pp line 1632

`public procedure TCustomListView.Clear;`

## Description

Clears calls the corresponding method in Items to delete and free each of the list item instances in the container.

## See also

TCustomListView.Items |  | Collection of list items displayed on the list view control.
TListItems.Clear |  | Removes all list item instances stored in the container.
TListItems.Delete |  | Removes the list item specified in AIndex from the container.
TListItem.Delete |  | Removes the list item from the container.